/****************************************************************************
    This program is protected under international and U.S. copyright laws
    as an unpublished work. This program is confidential and proprietary to
    Dolby Laboratories. Reproduction or disclosure, in whole or in part, or
    the production of derivative works therefrom without the express
    permission of Dolby Laboratories is prohibited.
    Copyright 2003-2011 by Dolby Laboratories. All rights reserved.

    Description: Boosting header file

    Date: $Date$

    Revision: $Revision$

***************************************************************************/
#ifndef _BOOSTING_H
#define _BOOSTING_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include <stddef.h>
#include "di.h"

/* Public prototypes */
size_t  bst_query_mem_size(void);
int     bst_init(void *p_inst, size_t num_bytes);
int     bst_classify(void *p_inst, float *p_features);

#ifdef __cplusplus
}
#endif

#endif /* _BOOSTING_H */
