/****************************************************************************
    This program is protected under international and U.S. copyright laws
    as an unpublished work. This program is confidential and proprietary to
    Dolby Laboratories. Reproduction or disclosure, in whole or in part, or
    the production of derivative works therefrom without the express
    permission of Dolby Laboratories is prohibited.
    Copyright 2002-2011 by Dolby Laboratories. All rights reserved.

    Description: FFT routine

    Date: $Date$

    Revision: $Revision$

***************************************************************************/
#ifndef _FFT_H
#define _FFT_H

/* Defines */
#define FFT_MAX_N       1024        /* Maximum FFT size */
#define FFT_MAX_N_LOG2  10          /* Log2 of maximum FFT size */

/* Public functions */
int fftl(float *p_real, float *p_imag, unsigned int N);

#endif /* _FFT_H */
